function init(hero) {
    hero.setName("Aquaman");
    hero.setVersion("DCEU");
    hero.setTier(7);
    
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("cwheropack:atlantean_physiology");
    hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 7.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 0.25, 1);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    
    hero.addKeyBind("SUPER_SPEED", "Swimming", 1);
    
    hero.setDefaultScale(1.1);
    hero.setModifierEnabled(isModifierEnabled);

}
function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:gliding" || !entity.isInWater();
}


function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:gliding") {
        return entity.getData('fiskheroes:speeding');
	}
	else if (modifier.name() == "fiskheroes:super_speed") {
		return entity.isInWater();
	}
    return true;
}
